makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.visagetechnologies.makeupsdk.MaskTemplate Class Reference

## Public Member Functions
JSONObject | ToJSON ()

## Static Public Member Functions
static MaskTemplate | FromJSON (JSONObject jsonObject)

## Public Attributes
String | name
String | texture

## Detailed Description

Contains a definition of a custom mask Custom mask is defined by name and a reference which is used to determine the location of the image file containg the mask.

The location for storing of custom masks is <path to platform dependent assets folder> + "/Textures/" + MaskTemnplate.texture + "/" + FeatureTemplate.type + "/" + FeatureTemplate.area.

Additional files containing custom masks have to be added into the bundle and unpacked on the location defined above on the library consumer level.

The mesh custom mask should use is derived from the type of FeatureTemplate instance this MaskTemplate is contained in.

## Member Function Documentation

## ◆ FromJSON()

static MaskTemplate com.visagetechnologies.makeupsdk.MaskTemplate.FromJSON | ( | JSONObject | jsonObject | ) |
| inline static

Deserializes MaskTemplate object from JSON representation

Parameters

  jsonObject | JSON object

Returns
  deserialized MaskTemplate object

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.MaskTemplate.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this MaskTemplate object

Returns
  JSON representation of this FeatureTemplate returned as JSONObject

## Member Data Documentation

## ◆ name

String com.visagetechnologies.makeupsdk.MaskTemplate.name

Name of the custom texture used for identification purposes. Should be unique within a single FeatureTemplate instance.

## ◆ texture

String com.visagetechnologies.makeupsdk.MaskTemplate.texture

Location reference used to determine the location of the image file containg the mask.